Skip to main content
GET
/
v1
/
datasets
List Datasets
curl --request GET \
  --url https://api.example.com/v1/datasets
import requests

url = "https://api.example.com/v1/datasets"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "datasets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "gcs_path": "<string>",
      "format": "<string>",
      "scene_count": 123,
      "total_size_bytes": 123,
      "uploaded_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "total": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

authorization
string | null

Query Parameters

project_id
string<uuid> | null
limit
integer
default:20
offset
integer
default:0

Response

Successful Response

datasets
DatasetResponse · object[]
required
total
integer
required